Set a video thumbnail
const url = 'https://postflow.biz.id/api/v1/media/example/thumbnail';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'}, body: 'binary'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://postflow.biz.id/api/v1/media/example/thumbnail \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/octet-stream' \ --data binaryBody: a JPEG under 2 MB, Content-Type: image/jpeg. Shown in the library and calendar.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Media id
Request Bodyrequired
Section titled “Request Bodyrequired”JPEG bytes.
Responses
Section titled “Responses”OK
object
Example generated
{ "ok": true}Validation failed. details lists what to fix.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}Missing, invalid, expired or deleted key or token.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}Not allowed: a read-only key, the owner’s approval, or an owner-only action.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}Not found in this workspace.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}More than 120 requests in a minute with this key.
object
object
A sentence you can show to a person.
Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.
Example
{ "error": { "code": "UNAUTHENTICATED" }}